package com.ruoyi.project.ehs.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * MSDS管理对象 t_msds
 *
 * @author ruoyi
 * @date 2021-07-27
 */
public class TMsds extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一标识ID
     */
    private Long id;

    /**
     * ITEM
     */
    @Excel(name = "ITEM")
    private Long item;

    /**
     * 产品类别
     */
    @Excel(name = "产品类别", dictType = "PRODUCT_CATEGORY")
    private String productcategory;

    /**
     * 英文名称
     */
    @Excel(name = "英文名称")
    private String enName;

    /**
     * 中文名称
     */
    @Excel(name = "中文名称")
    private String cnName;

    /**
     * CAS号
     */
    @Excel(name = "CAS号")
    private String casNo;

    /**
     * 危险警句（详细内容）
     */
    @Excel(name = "危险警句", dictType = "HAZARD_PHRASES")
    private String hazardPhrases;

    /**
     * 是否三致物
     */
    @Excel(name = "是否三致物", dictType = "CMR")
    private String cmr;
    private String cmrs;

    /**
     * GHS符号
     */
    @Excel(name = "GHS符号", dictType = "GHS_PICTOGRAM")
    private String ghsPictogram;

    /**
     * 保存量
     */
    @Excel(name = "保存量")
    private String holdup;

    /**
     * 工作区域
     */
    @Excel(name = "工作区域", dictType = "WORK_AREA")
    private String workArea;

    /**
     * 形态
     */
    @Excel(name = "形态")
    private String form;

    /**
     * 爆炸极限（v%）
     */
    @Excel(name = "爆炸极限（v%）")
    private String explosionLimit;

    /**
     * 熔点（℃）
     */
    @Excel(name = "熔点（℃）")
    private String meltingPoint;

    /**
     * 沸点（℃）
     */
    @Excel(name = "沸点（℃）")
    private String boilingPoint;

    /**
     * 密度/分子量
     */
    @Excel(name = "密度/分子量")
    private String density;

    /**
     * 组成及纯度（w/w）
     */
    @Excel(name = "组成及纯度（w/w）")
    private String purity;

    /**
     * 归属单位
     */
    @Excel(name = "归属单位")
    private String responsibleCompany;

    /**
     * 出版日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "出版日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date issueTime;
    private String issueTimeYear;

    /**
     * 版次
     */
    @Excel(name = "版次")
    private String version;

    /**
     * 回顾人
     */
    private String reviewer;
    @Excel(name = "回顾人")
    private String reviewerName;

    /**
     * 回顾日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "回顾日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date reviewdate;

    /**
     * 回顾状态
     */
    @Excel(name = "回顾状态", dictType = "REVIEW_STATE")
    private String reviewState;

    /**
     * 下次回顾日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "下次回顾日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nextReviewdate;

    /**
     * 部门编号
     */
    private Long deptId;

    /**
     * 删除标识
     */
    private Long delFlag;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;

    /**
     * 创建人
     */
    private String createrCode;

    /**
     * 创建日期
     */
    private Date createdate;

    /**
     * 更新人
     */
    private String updaterCode;

    /**
     * 更新日期
     */
    private Date updatedate;

    /** 出版日期2 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date issuetimeTwo;

    /** 出版日期3 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date issuetimeThree;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    private boolean irritating;
    private boolean toxicity;
    private boolean corrosive;
    private boolean healthHazard;
    private boolean aquaticEnvironment;
    private boolean gasPressure;
    private boolean flammability;
    private boolean sensitization;

    private boolean cmrc;
    private boolean cmrm;
    private boolean cmrr;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setItem(Long item) {
        this.item = item;
    }

    public Long getItem() {
        return item;
    }

    public void setProductcategory(String productcategory) {
        this.productcategory = productcategory;
    }

    public String getProductcategory() {
        return productcategory;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getEnName() {
        return enName;
    }

    public void setCnName(String cnName) {
        this.cnName = cnName;
    }

    public String getCnName() {
        return cnName;
    }

    public void setCasNo(String casNo) {
        this.casNo = casNo;
    }

    public String getCasNo() {
        return casNo;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDelFlag(Long delFlag) {
        this.delFlag = delFlag;
    }

    public Long getDelFlag() {
        return delFlag;
    }

    public void setHazardPhrases(String hazardPhrases) {
        this.hazardPhrases = hazardPhrases;
    }

    public String getHazardPhrases() {
        return hazardPhrases;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setCmr(String cmr) {
        this.cmr = cmr;
    }

    public String getCmr() {
        return cmr;
    }

    public String getCmrs() { return cmrs; }

    public void setCmrs(String cmrs) { this.cmrs = cmrs; }

    public void setGhsPictogram(String ghsPictogram) {
        this.ghsPictogram = ghsPictogram;
    }

    public String getGhsPictogram() {
        return ghsPictogram;
    }

    public void setCreaterCode(String createrCode) {
        this.createrCode = createrCode;
    }

    public String getCreaterCode() {
        return createrCode;
    }

    public void setHoldup(String holdup) {
        this.holdup = holdup;
    }

    public String getHoldup() {
        return holdup;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setUpdaterCode(String updaterCode) {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode() {
        return updaterCode;
    }

    public void setWorkArea(String workArea) {
        this.workArea = workArea;
    }

    public String getWorkArea() {
        return workArea;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    public void setForm(String form) {
        this.form = form;
    }

    public String getForm() {
        return form;
    }

    public void setExplosionLimit(String explosionLimit) {
        this.explosionLimit = explosionLimit;
    }

    public String getExplosionLimit() {
        return explosionLimit;
    }

    public void setMeltingPoint(String meltingPoint) {
        this.meltingPoint = meltingPoint;
    }

    public String getMeltingPoint() {
        return meltingPoint;
    }

    public void setBoilingPoint(String boilingPoint) {
        this.boilingPoint = boilingPoint;
    }

    public String getBoilingPoint() {
        return boilingPoint;
    }

    public void setDensity(String density) {
        this.density = density;
    }

    public String getDensity() {
        return density;
    }

    public void setPurity(String purity) {
        this.purity = purity;
    }

    public String getPurity() {
        return purity;
    }

    public void setResponsibleCompany(String responsibleCompany) {
        this.responsibleCompany = responsibleCompany;
    }

    public String getResponsibleCompany() {
        return responsibleCompany;
    }

    public void setIssueTime(Date issueTime) {
        this.issueTime = issueTime;
    }

    public Date getIssueTime() {
        return issueTime;
    }

    public String getIssueTimeYear() { return issueTimeYear; }

    public void setIssueTimeYear(String issueTimeYear) { this.issueTimeYear = issueTimeYear; }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getVersion() {
        return version;
    }

    public void setReviewer(String reviewer) {
        this.reviewer = reviewer;
    }

    public String getReviewer() {
        return reviewer;
    }
    public String getReviewerName() { return reviewerName; }

    public void setReviewerName(String reviewerName) { this.reviewerName = reviewerName; }
    public void setReviewdate(Date reviewdate) {
        this.reviewdate = reviewdate;
    }

    public Date getReviewdate() {
        return reviewdate;
    }

    public void setReviewState(String reviewState) {
        this.reviewState = reviewState;
    }

    public String getReviewState() {
        return reviewState;
    }

    public void setNextReviewdate(Date nextReviewdate) {
        this.nextReviewdate = nextReviewdate;
    }

    public Date getNextReviewdate() {
        return nextReviewdate;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public boolean isIrritating() { return irritating; }

    public void setIrritating(boolean irritating) { this.irritating = irritating; }

    public boolean isToxicity() { return toxicity; }

    public void setToxicity(boolean toxicity) { this.toxicity = toxicity; }

    public boolean isCorrosive() { return corrosive; }

    public void setCorrosive(boolean corrosive) { this.corrosive = corrosive; }

    public boolean isHealthHazard() { return healthHazard; }

    public void setHealthHazard(boolean healthHazard) { this.healthHazard = healthHazard; }

    public boolean isAquaticEnvironment() { return aquaticEnvironment; }

    public void setAquaticEnvironment(boolean aquaticEnvironment) { this.aquaticEnvironment = aquaticEnvironment; }

    public boolean isGasPressure() { return gasPressure; }

    public void setGasPressure(boolean gasPressure) { this.gasPressure = gasPressure; }

    public boolean isFlammability() { return flammability; }

    public void setFlammability(boolean flammability) { this.flammability = flammability; }

    public boolean isSensitization() { return sensitization; }

    public void setSensitization(boolean sensitization) { this.sensitization = sensitization; }

    public boolean isCmrc() { return cmrc; }

    public void setCmrc(boolean cmrc) { this.cmrc = cmrc; }

    public boolean isCmrm() { return cmrm; }

    public void setCmrm(boolean cmrm) { this.cmrm = cmrm; }

    public boolean isCmrr() { return cmrr; }

    public void setCmrr(boolean cmrr) { this.cmrr = cmrr; }
    public void setIssuetimeTwo(Date issuetimeTwo) { this.issuetimeTwo = issuetimeTwo; }

    public Date getIssuetimeTwo() { return issuetimeTwo; }
    public void setIssuetimeThree(Date issuetimeThree) { this.issuetimeThree = issuetimeThree; }

    public Date getIssuetimeThree() { return issuetimeThree; }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("item", getItem())
                .append("productcategory", getProductcategory())
                .append("enName", getEnName())
                .append("cnName", getCnName())
                .append("casNo", getCasNo())
                .append("deptId", getDeptId())
                .append("delFlag", getDelFlag())
                .append("hazardPhrases", getHazardPhrases())
                .append("remarks", getRemarks())
                .append("cmrs", getCmrs())
                .append("ghsPictogram", getGhsPictogram())
                .append("createrCode", getCreaterCode())
                .append("holdup", getHoldup())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("workArea", getWorkArea())
                .append("updatedate", getUpdatedate())
                .append("form", getForm())
                .append("explosionLimit", getExplosionLimit())
                .append("meltingPoint", getMeltingPoint())
                .append("boilingPoint", getBoilingPoint())
                .append("density", getDensity())
                .append("purity", getPurity())
                .append("responsibleCompany", getResponsibleCompany())
                .append("issueTime", getIssueTime())
                .append("version", getVersion())
                .append("reviewer", getReviewer())
                .append("reviewdate", getReviewdate())
                .append("reviewState", getReviewState())
                .append("nextReviewdate", getNextReviewdate())
                .toString();
    }
}
